package com.qmth.sop.business.entity;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.sop.common.base.BaseEntity;
import com.qmth.sop.common.enums.MessageEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * <p>
 * 短信通知表
 * </p>
 *
 * @author wangliang
 * @since 2023-08-01
 */
@ApiModel(value = "BasicSmsMessage对象", description = "短信通知表")
public class BasicSmsMessage extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "机构id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long orgId;

    @ApiModelProperty(value = "消息接收人用户")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long userId;

    @ApiModelProperty(value = "用户名称")
    private String userName;

    @ApiModelProperty(value = "电话号码")
    private String mobileNumber;

    @ApiModelProperty(value = "消息类型")
    private MessageEnum messageType;

    @ApiModelProperty(value = "业务操作")
    private String businessOperate;

    @ApiModelProperty(value = "消息模板代码")
    private String templateCode;

    @ApiModelProperty(value = "变量参数内容")
    private String variableParams;

    @ApiModelProperty(value = "模板内容")
    private String templateContent;

    @ApiModelProperty(value = "消息发送状态")
    private String sendStatus;

    @ApiModelProperty(value = "消息发送结果")
    private String sendResult;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "重试次数")
    private Integer resendCount;

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getMobileNumber() {
        return mobileNumber;
    }

    public void setMobileNumber(String mobileNumber) {
        this.mobileNumber = mobileNumber;
    }

    public MessageEnum getMessageType() {
        return messageType;
    }

    public void setMessageType(MessageEnum messageType) {
        this.messageType = messageType;
    }

    public String getBusinessOperate() {
        return businessOperate;
    }

    public void setBusinessOperate(String businessOperate) {
        this.businessOperate = businessOperate;
    }

    public String getTemplateCode() {
        return templateCode;
    }

    public void setTemplateCode(String templateCode) {
        this.templateCode = templateCode;
    }

    public String getVariableParams() {
        return variableParams;
    }

    public void setVariableParams(String variableParams) {
        this.variableParams = variableParams;
    }

    public String getTemplateContent() {
        return templateContent;
    }

    public void setTemplateContent(String templateContent) {
        this.templateContent = templateContent;
    }

    public String getSendStatus() {
        return sendStatus;
    }

    public void setSendStatus(String sendStatus) {
        this.sendStatus = sendStatus;
    }

    public String getSendResult() {
        return sendResult;
    }

    public void setSendResult(String sendResult) {
        this.sendResult = sendResult;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Integer getResendCount() {
        return resendCount;
    }

    public void setResendCount(Integer resendCount) {
        this.resendCount = resendCount;
    }
}
